#
%define		module	pysnmp
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
#
Summary:	SNMP engine for Python
Summary(pl.UTF-8):	Obsługa SNMP dla Pythona
Name:		python-%{module}
Version:	4.2.5
Release:	3
License:	BSD-like
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/pysnmp/pysnmp-%{version}.tar.gz
# Source0-md5:	1f75d3e392a050e84348904fc1be3212
URL:		http://pysnmp.sourceforge.net/
%if %{with python2}
BuildRequires:	python >= 1:2.5
BuildRequires:	python-distribute
BuildRequires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:2.3
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-Crypto
Requires:	python-pyasn1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a set of tools required by the Structure of Management
Information (SMI v.1 & v.2) to be used in Python programming
environment. Primarily, they are SNMP engine and MIB compiler.

%description -l pl.UTF-8
Zestaw narzędzi pozwalających pisać w Pythonie programy korzystające z
protokołu SNMP. Zawiera procedury służące do zarządzania obiektami MIB
(Management Information Base), opisanych przez normy SMI (Structure of
Management Information) v1 i v2.

%package -n python3-%{module}
Summary:	SNMP engine for Python
Summary(pl.UTF-8):	Obsługa SNMP dla Pythona
Group:		Libraries/Python

%description -n python3-%{module}
This is a set of tools required by the Structure of Management
Information (SMI v.1 & v.2) to be used in Python programming
environment. Primarily, they are SNMP engine and MIB compiler.

%description -n python3-%{module} -l pl.UTF-8
Zestaw narzędzi pozwalających pisać w Pythonie programy korzystające z
protokołu SNMP. Zawiera procedury służące do zarządzania obiektami MIB
(Management Information Base), opisanych przez normy SMI (Structure of
Management Information) v1 i v2.

%package doc
Summary:	Documentation for Python pysnmp module
Summary(pl.UTF-8):	Dokumentacja do modułu Pythona pysnmp
Group:		Libraries/Python

%description doc
This package contains documentation files for Python pysnmp module.

%description doc -l pl.UTF-8
Ten pakiet zwiera dokumentację do modułu Pythona pysnmp.

%package examples
Summary:	Example programs for Python pysnmp module
Summary(pl.UTF-8):	Programy przykładowe do modułu Pythona pysnmp
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Python pysnmp module.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy do modułu Pythona pysnmp.

%package -n python3-%{module}-examples
Summary:	Example programs for Python pysnmp module
Summary(pl.UTF-8):	Programy przykładowe do modułu Pythona pysnmp
Group:		Libraries/Python
Requires:	python3-%{module} = %{version}-%{release}

%description -n python3-%{module}-examples
This package contains example programs for Python pysnmp module.

%description -n python3-%{module}-examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy do modułu Pythona pysnmp.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%{__python} setup.py build --build-base build-2
%endif

%if %{with python3}
%{__python3} setup.py build --build-base build-3 %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_examplesdir}}

%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" '!' -path '*/v4/smi/mibs/*' | xargs rm

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%endif

install tools/libsmi2pysnmp $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README CHANGES TODO docs/mibs/*
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/pysnmp-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README CHANGES TODO docs/mibs/*
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/pysnmp-*.egg-info
%endif

%files doc
%defattr(644,root,root,755)
%doc docs/*

%if %{with python2}
%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}-examples
%defattr(644,root,root,755)
%{_examplesdir}/python3-%{module}-%{version}
%endif
%changelog
* Mon Sep 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pysnmp.git;a=log;h=master

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> dc1b61a
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ee57025
- python 3.4
- release 2 (by relup.sh)

* Wed Oct 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 02af488
- Python 3 support added

* Wed Oct 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> af96145
- Version: 4.2.5

* Wed Feb 06 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 2221133
- Version: 4.2.4

* Thu Dec 20 2012 Jacek Konieczny <jajcus@jajcus.net> 320cf0b
- Version: 4.2.4rc5

* Thu Dec 20 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> fe9f463
- Fix handling of compiled (pyc/pyo) mibs

* Thu Dec 20 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> f840fd1
- Version: 4.2.3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 96ee85c
- release 3

* Wed Oct 08 2008 Jakub Bogusz <qboosh@pld-linux.org> 7921363
- python 2.5 for .egg-info

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> 4c98c76
- realese 2

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> dfb5c5a
- md5 fix

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> 6b23cc3
- updated to 4.1.10a

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 16dfce5
- release 2

* Mon Feb 11 2008 beorn <beorn@pld-linux.org> c62a200
- Removed test remark (sorry)

* Mon Feb 11 2008 beorn <beorn@pld-linux.org> 9045a7b
- Up to 4.1.9a

* Tue Oct 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 407c65d
- up to 4.1.8a

* Tue Jun 12 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 308c80a
- up to 4.1.7a

* Fri Apr 06 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 67daa64
- added missing dir
- packaged *.egg-info
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 75e4855
- tabs in preamble

